Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#16387 - [irssi] broken because version of perl lib and executable doesn't match

Attached to Project: Arch Linux
Opened by Borromini (Borromini) - Monday, 28 September 2009, 17:30 GMT
Last edited by Giovanni Scafora (giovanni) - Tuesday, 29 September 2009, 13:40 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Giovanni Scafora (giovanni)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Ever since the upgrade to the latest perl my Irssi setup has been behaving quite weirdly. I get error messages for virtually every perl script it tries to load:

09:46:02 Irssi: Error in script repeat:
09:46:02 Perl lib version (5.10.1) doesn't match executable version (v5.10.0) at /usr/lib/perl5/core_perl/Config.pm line 50.
09:46:02 Compilation failed in require at /usr/lib/perl5/core_perl/lib.pm line 6.
09:46:02 BEGIN failed--compilation aborted at /usr/lib/perl5/core_perl/lib.pm line 6.
09:46:02 Compilation failed in require at (eval 18) line 1.
09:46:02 BEGIN failed--compilation aborted at (eval 18) line 1.
09:46:02
09:46:02 Irssi: Error in script autorejoin:
09:46:02 Attempt to reload lib.pm aborted.
09:46:02 Compilation failed in require at (eval 19) line 1.
09:46:02 BEGIN failed--compilation aborted at (eval 19) line 1.
09:46:02
09:46:02 Irssi: Error in script usercount:
09:46:02 Attempt to reload lib.pm aborted.
09:46:02 Compilation failed in require at (eval 20) line 1.
09:46:02 BEGIN failed--compilation aborted at (eval 20) line 1.
09:46:02
09:46:02 Irssi: Error in script awl:
09:46:02 Attempt to reload lib.pm aborted.
09:46:02 Compilation failed in require at (eval 21) line 1.
09:46:02 BEGIN failed--compilation aborted at (eval 21) line 1.
09:46:02
09:46:02 Irssi: Error in script splitlong:
09:46:02 Attempt to reload lib.pm aborted.
09:46:02 Compilation failed in require at (eval 22) line 1.
09:46:02 BEGIN failed--compilation aborted at (eval 22) line 1.
09:46:02
09:46:02 Irssi: Error in script mpd:
09:46:02 Attempt to reload lib.pm aborted.
09:46:02 Compilation failed in require at (eval 23) line 1.
09:46:02 BEGIN failed--compilation aborted at (eval 23) line 1.

[stijn@hermes ~]$ grep perl /var/log/pacman.log |tail -1
[2009-09-26 17:25] upgraded perl (5.10.0-6 -> 5.10.1-2)

A rebuild seems to fix it.
This task depends upon

Closed by  Giovanni Scafora (giovanni)
Tuesday, 29 September 2009, 13:40 GMT
Reason for closing:  Fixed
Additional comments about closing:  I just rebuilt irssi-0-8.14-2 for both arch in testing.

Loading...